#pragma once

#include <future>
#include <queue>
#include <Wt/WApplication.h>

namespace bsw {
namespace halfagame {

    class InteractiveContainer;

    /**
     * @brief Game html ui
     */
    class UI : public Wt::WApplication
    {
        public:
            /**
             * @brief Constructor
             * @param env Environment
             */
            UI(const Wt::WEnvironment& env);
            /**
             * @brief Destructor
             */
            virtual ~UI();

        private:
            InteractiveContainer* interactiveContainer_ = nullptr; ///< interactive container section

        private:
            std::atomic<bool> exit_; ///< indicates destruction launched
    };

} /* namespace halfagame */
} /* namespace bsw */
